## kf6-kded 6.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.6.0") # handled by release scripts
set(KF_DEP_VERSION "6.6.0") # handled by release scripts
project(KDED VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.6.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 6.5.0)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

find_package(Qt6 "${REQUIRED_QT_VERSION}" CONFIG REQUIRED DBus Widgets)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Crash ${KF_DEP_VERSION} REQUIRED)
find_package(KF6DBusAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6DocTools ${KF_DEP_VERSION})
find_package(KF6Service ${KF_DEP_VERSION} REQUIRED)


include(CMakePackageConfigHelpers)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)

ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KDED
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kded_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6KDEDConfigVersion.cmake"
  SOVERSION 6)

# We don't install kded_version.h, it's only useful internally
# (given that this framework produces no library)

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 5.240.0
)

if (KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(docs)
endif()

add_subdirectory(src)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6KDED")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6KDEDConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KDEDConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KDEDConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KDEDConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(FILES org.kde.kded6.desktop DESTINATION ${KDE_INSTALL_APPDIR})

ecm_qt_install_logging_categories(
        EXPORT KDED
        FILE kded.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-kded 6.3.0

=== debian/changelog ===
kf6-kded (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:59:30 +0200

kf6-kded (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Fri, 12 Apr 2024 18:03:57 +0200

kded (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:03:51 +0100

kded (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:40 +0200

kded (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:58 +0100

kded (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:29 +0100

kded (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:07 +0100

kded (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:31 +0100

kded (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:03 +0100

kded (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:45 +0200

kded (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:36 +0200

kded (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:05 +0200

kded (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:05 +0200

kded (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:47 +0200

kded (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100

kded (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:38 +0900

kded (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:52:54 +0900

kded (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:46 +0900

kded (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:02:14 +0900

kded (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:02 +0900

kded (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:16:44 +0900

kded (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Build with hardening=+all build hardening flag.

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:08:37 +0900

kded (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:17 +0900

kded (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:33 +0900

kded (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:27 +0900


=== debian/control ===
Source: kf6-kded
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6service-dev (>= 6.3.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kded
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kded
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kded.git
Rules-Requires-Root: no

Package: kded6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded6-dev
Section: libdevel
Architecture: any
Depends: kded6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.3.0~),
         libkf6crash-dev (>= 6.3.0~),
         libkf6dbusaddons-dev (>= 6.3.0~),
         libkf6service-dev (>= 6.3.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

## kf6-kded 6.6.0

=== debian/changelog ===
kf6-kded (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:12:42 +0200

kf6-kded (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:09 +0200

kf6-kded (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:48 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6crash-dev (>= 6.3.0~),
-               libkf6dbusaddons-dev (>= 6.3.0~),
-               libkf6doctools-dev (>= 6.3.0~),
-               libkf6service-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6crash-dev (>= 6.6.0~),
+               libkf6dbusaddons-dev (>= 6.6.0~),
+               libkf6doctools-dev (>= 6.6.0~),
+               libkf6service-dev (>= 6.6.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
@@ -34,10 +34,10 @@
 Section: libdevel
 Architecture: any
 Depends: kded6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.3.0~),
-         libkf6crash-dev (>= 6.3.0~),
-         libkf6dbusaddons-dev (>= 6.3.0~),
-         libkf6service-dev (>= 6.3.0~),
+         libkf6coreaddons-dev (>= 6.6.0~),
+         libkf6crash-dev (>= 6.6.0~),
+         libkf6dbusaddons-dev (>= 6.6.0~),
+         libkf6service-dev (>= 6.6.0~),
          ${misc:Depends},
 Description: Extensible daemon for providing session services
  KDED runs in the background and performs a number of small tasks.

## kf6-kded 6.9.0

=== debian/changelog ===
kf6-kded (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:45:51 +0000

kf6-kded (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:35:28 +0000

kf6-kded (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:05:30 +0100

kf6-kded (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:22:21 +0100

kf6-kded (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:33:38 +0100

=== debian/control ===
Source: kf6-kded
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.9.0~),
               libkf6config-dev (>= 6.9.0~),
               libkf6coreaddons-dev (>= 6.9.0~),
               libkf6crash-dev (>= 6.9.0~),
               libkf6dbusaddons-dev (>= 6.9.0~),
               libkf6doctools-dev (>= 6.9.0~),
               libkf6service-dev (>= 6.9.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kded
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kded
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kded
Rules-Requires-Root: no

Package: kded6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded6-dev
Section: libdevel
Architecture: any
Depends: kded6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.9.0~),
         libkf6crash-dev (>= 6.9.0~),
         libkf6dbusaddons-dev (>= 6.9.0~),
         libkf6service-dev (>= 6.9.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

## kf6-kded 6.10.0

=== debian/changelog ===
kf6-kded (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:25:22 +0100

kf6-kded (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:12:10 +0100

kf6-kded (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:24 -0600

=== debian/control ===
Source: kf6-kded
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6doctools-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kded
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kded
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kded.git
Rules-Requires-Root: no

Package: kded6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded6-dev
Section: libdevel
Architecture: any
Depends: kded6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.10.0~),
         libkf6crash-dev (>= 6.10.0~),
         libkf6dbusaddons-dev (>= 6.10.0~),
         libkf6service-dev (>= 6.10.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

## kf6-kded 6.11.0

=== debian/changelog ===
kf6-kded (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:24:19 +0100

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6crash-dev (>= 6.10.0~),
-               libkf6dbusaddons-dev (>= 6.10.0~),
-               libkf6doctools-dev (>= 6.10.0~),
-               libkf6service-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6crash-dev (>= 6.11.0~),
+               libkf6dbusaddons-dev (>= 6.11.0~),
+               libkf6doctools-dev (>= 6.11.0~),
+               libkf6service-dev (>= 6.11.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0~),
 Standards-Version: 4.7.0
@@ -34,10 +34,10 @@
 Section: libdevel
 Architecture: any
 Depends: kded6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.10.0~),
-         libkf6crash-dev (>= 6.10.0~),
-         libkf6dbusaddons-dev (>= 6.10.0~),
-         libkf6service-dev (>= 6.10.0~),
+         libkf6coreaddons-dev (>= 6.11.0~),
+         libkf6crash-dev (>= 6.11.0~),
+         libkf6dbusaddons-dev (>= 6.11.0~),
+         libkf6service-dev (>= 6.11.0~),
          ${misc:Depends},
 Description: Extensible daemon for providing session services
  KDED runs in the background and performs a number of small tasks.

## kf6-kded 6.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.6.0") # handled by release scripts
-set(KF_DEP_VERSION "6.6.0") # handled by release scripts
+set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_DEP_VERSION "6.12.0") # handled by release scripts
 project(KDED VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.6.0  NO_MODULE)
+find_package(ECM 6.12.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-set(REQUIRED_QT_VERSION 6.5.0)
+set(REQUIRED_QT_VERSION 6.6.0)
 
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
@@ -44,8 +44,8 @@
 # (given that this framework produces no library)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.5
-    KF 5.240.0
+    QT 6.8.0
+    KF 6.11.0
 )
 
 if (KF6DocTools_FOUND)

=== docs/CMakeLists.txt ===
add_subdirectory(kded6)

=== debian/changelog ===
kf6-kded (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:51:18 +0000

kf6-kded (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:47:08 +0000

kf6-kded (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:18:30 +0000

=== debian/control ===
Source: kf6-kded
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.12.0~),
               libkf6config-dev (>= 6.12.0~),
               libkf6coreaddons-dev (>= 6.12.0~),
               libkf6crash-dev (>= 6.12.0~),
               libkf6dbusaddons-dev (>= 6.12.0~),
               libkf6doctools-dev (>= 6.12.0~),
               libkf6service-dev (>= 6.12.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kded
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kded
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kded
Rules-Requires-Root: no

Package: kded6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded6-dev
Section: libdevel
Architecture: any
Depends: kded6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.12.0~),
         libkf6crash-dev (>= 6.12.0~),
         libkf6dbusaddons-dev (>= 6.12.0~),
         libkf6service-dev (>= 6.12.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

## kf6-kded 6.13.0

=== debian/changelog ===
kf6-kded (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:37:04 +0200

=== debian/control ===
Source: kf6-kded
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.13.0~),
               libkf6config-dev (>= 6.13.0~),
               libkf6coreaddons-dev (>= 6.13.0~),
               libkf6crash-dev (>= 6.13.0~),
               libkf6dbusaddons-dev (>= 6.13.0~),
               libkf6doctools-dev (>= 6.13.0~),
               libkf6service-dev (>= 6.13.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.6.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kded
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kded
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kded.git
Rules-Requires-Root: no

Package: kded6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded6-dev
Section: libdevel
Architecture: any
Depends: kded6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.13.0~),
         libkf6crash-dev (>= 6.13.0~),
         libkf6dbusaddons-dev (>= 6.13.0~),
         libkf6service-dev (>= 6.13.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

## kf6-kded 6.16.0

=== debian/changelog ===
kf6-kded (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:41:40 +0100

kf6-kded (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:32:27 +0100

kf6-kded (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:57:00 +0100

=== debian/control ===
Source: kf6-kded
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.16.0~),
               libkf6config-dev (>= 6.16.0~),
               libkf6coreaddons-dev (>= 6.16.0~),
               libkf6crash-dev (>= 6.16.0~),
               libkf6dbusaddons-dev (>= 6.16.0~),
               libkf6doctools-dev (>= 6.16.0~),
               libkf6service-dev (>= 6.16.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kded
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kded
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kded
Rules-Requires-Root: no

Package: kded6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded6-dev
Section: libdevel
Architecture: any
Depends: kded6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.16.0~),
         libkf6crash-dev (>= 6.16.0~),
         libkf6dbusaddons-dev (>= 6.16.0~),
         libkf6service-dev (>= 6.16.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

## kf6-kded 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_DEP_VERSION "6.17.0") # handled by release scripts
 project(KDED VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
@@ -44,8 +44,8 @@
 # (given that this framework produces no library)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.11.0
+    QT 6.10.0
+    KF 6.16.0
 )
 
 if (KF6DocTools_FOUND)

=== debian/changelog ===
kf6-kded (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:14:43 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6crash-dev (>= 6.16.0~),
-               libkf6dbusaddons-dev (>= 6.16.0~),
-               libkf6doctools-dev (>= 6.16.0~),
-               libkf6service-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6crash-dev (>= 6.17.0~),
+               libkf6dbusaddons-dev (>= 6.17.0~),
+               libkf6doctools-dev (>= 6.17.0~),
+               libkf6service-dev (>= 6.17.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
@@ -35,10 +35,10 @@
 Section: libdevel
 Architecture: any
 Depends: kded6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.16.0~),
-         libkf6crash-dev (>= 6.16.0~),
-         libkf6dbusaddons-dev (>= 6.16.0~),
-         libkf6service-dev (>= 6.16.0~),
+         libkf6coreaddons-dev (>= 6.17.0~),
+         libkf6crash-dev (>= 6.17.0~),
+         libkf6dbusaddons-dev (>= 6.17.0~),
+         libkf6service-dev (>= 6.17.0~),
          ${misc:Depends},
 Description: Extensible daemon for providing session services
  KDED runs in the background and performs a number of small tasks.

## kf6-kded 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
-set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KDED VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.17.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -45,7 +45,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.16.0
+    KF 6.17.0
 )
 
 if (KF6DocTools_FOUND)

=== src/CMakeLists.txt ===
add_executable(kded6)

target_sources(kded6 PRIVATE
    kded.cpp
    kdedadaptor.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kded6.xml # just so that it gets generated
)

ecm_qt_declare_logging_category(
    kded6
    HEADER kded_debug.h
    IDENTIFIER KDED
    CATEGORY_NAME kf.kded
    OLD_CATEGORY_NAMES kf5.kded
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KDED"
    EXPORT KDED
)

ecm_mark_nongui_executable(kded6)

target_link_libraries(kded6
    Qt6::Widgets # QApplication
    KF6::Service # Needed for ksycoca.h
    KF6::CoreAddons # Needed for KDirWatch
    KF6::DBusAddons # Needed for kdedmodule.h
    KF6::Crash # Sets it as autostart
    KF6::ConfigCore
)

target_compile_definitions(kded6 PRIVATE
    KCONF_UPDATE_EXE="$<TARGET_FILE:KF6::kconf_update>"
)

install(TARGETS kded6 ${KF_INSTALL_TARGETS_DEFAULT_ARGS} )

configure_file(plasma-kded6.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/plasma-kded6.service @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma-kded6.service
        DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR})

qt_generate_dbus_interface( kdedadaptor.h org.kde.kded6.xml )
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kded6.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

kdbusaddons_generate_dbus_service_file(kded6 org.kde.kded6 ${KDE_INSTALL_FULL_BINDIR})

ecm_qt_install_logging_categories(
    EXPORT KDED
    FILE kded.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== docs/kded6/CMakeLists.txt ===
kdoctools_create_manpage(man-kded6.8.docbook 8 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== debian/changelog ===
kf6-kded (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:18:10 +0200

=== debian/control ===
Source: kf6-kded
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kded
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kded
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kded.git
Rules-Requires-Root: no

Package: kded6
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded6-dev
Section: libdevel
Architecture: any
Depends: kded6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.18.0~),
         libkf6crash-dev (>= 6.18.0~),
         libkf6dbusaddons-dev (>= 6.18.0~),
         libkf6service-dev (>= 6.18.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --without build_stamp

## kf6-kded 6.18.0+p24.04+vstable+git20250928.0611

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KDED VERSION ${KF_VERSION})
 
@@ -45,7 +45,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.17.0
+    KF 6.18.0
 )
 
 if (KF6DocTools_FOUND)

=== debian/changelog ===
kf6-kded (6.18.0+p24.04+vstable+git20250928.0611-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 06:11:56 +0000

kf6-kded (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 12:42:15 +0000

kf6-kded (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:15:09 +0000

kf6-kded (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:13:20 +0000

kf6-kded (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:44:54 +0000

kf6-kded (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:31:19 +0000

kf6-kded (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 01:57:30 +0000

kf6-kded (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 21:56:30 +0000

kf6-kded (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:23:33 +0000

kf6-kded (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:40:49 +0000

kf6-kded (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:25:47 +0000

kf6-kded (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:27:54 +0000

kf6-kded (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:23:21 +0000

kf6-kded (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:29:52 +0000

kf6-kded (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:24:07 +0000

kf6-kded (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:40:08 +0000

kf6-kded (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:29:01 +1000

kf6-kded (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:53:58 +0000

kf6-kded (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:17:50 +0000

kf6-kded (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kded (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kded 6.18.0+p24.04+vstable+git20251005.0431

=== debian/changelog ===
kf6-kded (6.18.0+p24.04+vstable+git20251005.0431-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 04:31:20 +0000

## kf6-kded 6.19.0

=== debian/changelog ===
kf6-kded (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:05:19 +0100

=== debian/control ===
Source: kf6-kded
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.19.0~),
               libkf6config-dev (>= 6.19.0~),
               libkf6coreaddons-dev (>= 6.19.0~),
               libkf6crash-dev (>= 6.19.0~),
               libkf6dbusaddons-dev (>= 6.19.0~),
               libkf6doctools-dev (>= 6.19.0~),
               libkf6service-dev (>= 6.19.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kded
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kded
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kded
Rules-Requires-Root: no

Package: kded6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded6-dev
Section: libdevel
Architecture: any
Depends: kded6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.19.0~),
         libkf6crash-dev (>= 6.19.0~),
         libkf6dbusaddons-dev (>= 6.19.0~),
         libkf6service-dev (>= 6.19.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

## kf6-kded 6.19.0+p24.04+vstable+git20251008.1130

=== debian/changelog ===
kf6-kded (6.19.0+p24.04+vstable+git20251008.1130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 11:30:03 +0000

kf6-kded (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:53:47 +0000

## kf6-kded 6.19.0+p24.04+vstable+git20251015.1014

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KDED VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kded (6.19.0+p24.04+vstable+git20251015.1014-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:14:03 +0000

## kf6-kded 6.19.0+p24.04+vstable+git20251021.0601

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

=== debian/changelog ===
kf6-kded (6.19.0+p24.04+vstable+git20251021.0601-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:01:00 +0000

=== debian/control ===
Source: kf6-kded
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-kservice-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kded
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kded.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kded
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kded
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kf6-kded-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kded (= ${binary:Version}), ${misc:Depends}
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.

Package: kded6
Architecture: all
Depends: kf6-kded, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kded6-dev
Architecture: all
Depends: kf6-kded-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-kded 6.19.0+p24.04+vunstable+git20251020.0307

=== debian/changelog ===
kf6-kded (6.19.0+p24.04+vunstable+git20251020.0307-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:07:46 +0000

## kf6-kded 6.20.0

=== debian/changelog ===
kf6-kded (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:25:57 +0100

=== debian/control ===
Source: kf6-kded
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.20.0~),
               libkf6config-dev (>= 6.20.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libkf6crash-dev (>= 6.20.0~),
               libkf6dbusaddons-dev (>= 6.20.0~),
               libkf6doctools-dev (>= 6.20.0~),
               libkf6service-dev (>= 6.20.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kded
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kded
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kded.git
Rules-Requires-Root: no

Package: kded6
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.

Package: kded6-dev
Section: libdevel
Architecture: any
Depends: kded6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.20.0~),
         libkf6crash-dev (>= 6.20.0~),
         libkf6dbusaddons-dev (>= 6.20.0~),
         libkf6service-dev (>= 6.20.0~),
         ${misc:Depends},
Description: Extensible daemon for providing session services
 KDED runs in the background and performs a number of small tasks.
 Some of these tasks are built in, others are started on demand.
 .
 Contains development files.
